# Clutter::Path::Nodes::const_iterator Class Reference

Inherited by Clutter::Path::Nodes::iterator.

List of all members.

## Public Types

typedef std::random_access_iterator_tag | iterator_category
typedef PathNode | value_type
typedef int | difference_type
typedef const value_type | reference
typedef void | pointer

## Public Member Functions

| const_iterator ()
reference | operator* () const
reference | operator[] (difference_type i) const
const_iterator& | operator++ ()
const_iterator | operator++ (int)
const_iterator& | operator-- ()
const_iterator | operator-- (int)

## Related Functions

(Note that these are not member functions.)
bool | operator== (const Path::Nodes::const_iterator& a, const Path::Nodes::const_iterator& b)
bool | operator!= (const Path::Nodes::const_iterator& a, const Path::Nodes::const_iterator& b)

## Member Typedef Documentation

typedef int Clutter::Path::Nodes::const_iterator::difference_type

typedef std::random_access_iterator_tag Clutter::Path::Nodes::const_iterator::iterator_category

typedef void Clutter::Path::Nodes::const_iterator::pointer

typedef const value_type Clutter::Path::Nodes::const_iterator::reference

Reimplemented in Clutter::Path::Nodes::iterator.

typedef PathNode Clutter::Path::Nodes::const_iterator::value_type

## Constructor & Destructor Documentation

Clutter::Path::Nodes::const_iterator::const_iterator | ( |  | ) | `[inline]`

## Member Function Documentation

reference Clutter::Path::Nodes::const_iterator::operator* | ( |  | ) | const

Reimplemented in Clutter::Path::Nodes::iterator.

const_iterator Clutter::Path::Nodes::const_iterator::operator++ | ( | int |  | ) | `[inline]`

Reimplemented in Clutter::Path::Nodes::iterator.

const_iterator& Clutter::Path::Nodes::const_iterator::operator++ | ( |  | ) | `[inline]`

Reimplemented in Clutter::Path::Nodes::iterator.

const_iterator Clutter::Path::Nodes::const_iterator::operator-- | ( | int |  | ) | `[inline]`

Reimplemented in Clutter::Path::Nodes::iterator.

const_iterator& Clutter::Path::Nodes::const_iterator::operator-- | ( |  | ) | `[inline]`

Reimplemented in Clutter::Path::Nodes::iterator.

reference Clutter::Path::Nodes::const_iterator::operator[] | ( | difference_type | i | ) | const

Reimplemented in Clutter::Path::Nodes::iterator.

## Friends And Related Function Documentation

bool operator!= | ( | const Path::Nodes::const_iterator& | a,
|  | const Path::Nodes::const_iterator& | b |
| ) |  |  | `[related]`

bool operator== | ( | const Path::Nodes::const_iterator& | a,
|  | const Path::Nodes::const_iterator& | b |
| ) |  |  | `[related]`

The documentation for this class was generated from the following file:

- cluttermm/path.h